{
  description = "NixOS configuration with flakes";
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";

    lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/2.91.1-2.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

  };
  outputs =
    {
      self,
      nixpkgs,
      lix-module,
      home-manager,
    }:
    let
      system = "x86_64-linux";
    in
    {
      nixosConfigurations =
        let
          hostnameToConfig = hostname: {
            name = hostname;
            value = nixpkgs.lib.nixosSystem {
              inherit system;
              modules = [
                ./hosts/${hostname}/configuration.nix
                home-manager.nixosModules.home-manager
                lix-module.nixosModules.default
                # nur.nixosModules.nur
              ];
            };
          };
        in
        builtins.listToAttrs (
          builtins.map hostnameToConfig [
            "randolph"
            "de-lacadie"
          ]
        );
    };
}
